const path = require('path');
const { merge } = require('webpack-merge');
const copyPlugin = require('copy-webpack-plugin');
const common = require('./webpack.common.js');

const devFolderName = "dev-dist";

module.exports = merge(common, {
    mode: 'development',
    output: {
        globalObject: 'self',
		filename: '[name].bundle.js',
        path: path.resolve(__dirname, devFolderName, 'outputframe'),
        publicPath: "/"
    },
    devServer: {
        historyApiFallback: true
    },
    plugins: [
        new copyPlugin(
            {
                patterns: [
                    {
                        from: path.resolve(__dirname, 'codeeditor-app/static'),
                        to: path.resolve(__dirname, devFolderName, 'codeeditor', '[name][ext]')
                    },
                    {
                        from: path.resolve(__dirname, 'outputframe-app/static'),
                        to: path.resolve(__dirname, devFolderName, 'outputframe', '[name][ext]')
                    }
                ]
            }
        )
    ]
});